Bug 802966 - libxcb-1.8.1 is available
libxcb-1.8.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 15:10 EDT by Upstream Release Monitoring
Modified: 2012-05-26 04:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 04:05:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-03-13 15:10:52 EDT
Latest upstream release: 1.8.1
Current version in Fedora Rawhide: 1.8
URL: http://xcb.freedesktop.org/dist/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-03-15 12:08:50 EDT
changelog:

      Add xkb_internals and xkb_issues to EXTRA_DIST.
      Revert "Fix include order with Xdmcp on WIN32"
      darwin: Use read(2) rather than recv(2)
      Fix build of xcb_auth.c with XDMCP on WIN32
      Update use of error_connection under WIN32 to _xcb_conn_ret_error()
      Fallback to TCP if no protocol is specified and the UNIX connection fails
      Bump xcb-proto requirement
      Fix a busy loop on BSD and Mac OS
Comment 2 Fedora Update System 2012-04-09 17:14:13 EDT
libxcb-1.8.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxcb-1.8.1-1.fc17
Comment 3 Fedora Update System 2012-04-10 16:16:36 EDT
Package libxcb-1.8.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxcb-1.8.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5575/libxcb-1.8.1-1.fc17
then log in and leave karma (feedback).
Comment 4 NickG 2012-05-08 12:58:29 EDT
I'm running F17 and trying to get a Yocto build to work but am getting dependency issues that seem to be related to this package.

[nick@zeus build]$ sudo yum install mesa-libGL mesa-libGLU SDL-devel
[sudo] password for nick: 
Loaded plugins: langpacks, presto, refresh-packagekit
Package mesa-libGL-8.0.2-2.fc17.i686 already installed and latest version
Package mesa-libGLU-8.0.2-2.fc17.i686 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package SDL-devel.i686 0:1.2.14-16.fc17 will be installed
--> Processing Dependency: SDL(x86-32) = 1.2.14-16.fc17 for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libXrender-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libXrandr-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libXext-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libX11-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libSDL-1.2.so.0 for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libGLU-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: libGL-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Processing Dependency: alsa-lib-devel for package: SDL-devel-1.2.14-16.fc17.i686
--> Running transaction check
---> Package SDL.i686 0:1.2.14-16.fc17 will be installed
---> Package alsa-lib-devel.i686 0:1.0.25-3.fc17 will be installed
---> Package libX11-devel.i686 0:1.4.99.901-2.fc17 will be installed
--> Processing Dependency: pkgconfig(xcb) >= 1.1.92 for package: libX11-devel-1.4.99.901-2.fc17.i686
--> Processing Dependency: pkgconfig(xproto) for package: libX11-devel-1.4.99.901-2.fc17.i686
--> Processing Dependency: pkgconfig(xcb) for package: libX11-devel-1.4.99.901-2.fc17.i686
--> Processing Dependency: pkgconfig(kbproto) for package: libX11-devel-1.4.99.901-2.fc17.i686
---> Package libXext-devel.i686 0:1.3.1-1.fc17 will be installed
---> Package libXrandr-devel.i686 0:1.3.1-3.fc17 will be installed
---> Package libXrender-devel.i686 0:0.9.7-1.fc17 will be installed
---> Package mesa-libGL-devel.i686 0:8.0.2-2.fc17 will be installed
--> Processing Dependency: pkgconfig(libdrm) >= 2.4.24 for package: mesa-libGL-devel-8.0.2-2.fc17.i686
--> Processing Dependency: pkgconfig(xxf86vm) for package: mesa-libGL-devel-8.0.2-2.fc17.i686
--> Processing Dependency: pkgconfig(xfixes) for package: mesa-libGL-devel-8.0.2-2.fc17.i686
--> Processing Dependency: pkgconfig(xdamage) for package: mesa-libGL-devel-8.0.2-2.fc17.i686
---> Package mesa-libGLU-devel.i686 0:8.0.2-2.fc17 will be installed
--> Running transaction check
---> Package libXdamage-devel.i686 0:1.1.3-3.fc17 will be installed
---> Package libXfixes-devel.i686 0:5.0-2.fc17 will be installed
---> Package libXxf86vm-devel.i686 0:1.1.2-1.fc17 will be installed
---> Package libdrm-devel.i686 0:2.4.33-1.fc17 will be installed
---> Package libxcb-devel.i686 0:1.8-2.fc17 will be installed
--> Processing Dependency: libxcb = 1.8-2.fc17 for package: libxcb-devel-1.8-2.fc17.i686
--> Processing Dependency: pkgconfig(xau) >= 0.99.2 for package: libxcb-devel-1.8-2.fc17.i686
---> Package xorg-x11-proto-devel.noarch 0:7.6-21.fc17 will be installed
--> Running transaction check
---> Package libXau-devel.i686 0:1.0.6-3.fc17 will be installed
---> Package libxcb-devel.i686 0:1.8-2.fc17 will be installed
--> Processing Dependency: libxcb = 1.8-2.fc17 for package: libxcb-devel-1.8-2.fc17.i686
--> Finished Dependency Resolution
Error: Package: libxcb-devel-1.8-2.fc17.i686 (fedora)
           Requires: libxcb = 1.8-2.fc17
           Installed: libxcb-1.8.1-1.fc17.i686 (@updates-testing)
               libxcb = 1.8.1-1.fc17
           Available: libxcb-1.8-2.fc17.i686 (fedora)
               libxcb = 1.8-2.fc17
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[nick@zeus build]$ 


Could you advise or should this be a new bug report?
Comment 5 Fedora Update System 2012-05-26 04:05:29 EDT
libxcb-1.8.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.